summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorhasufell <hasufell@gentoo.org>2013-03-14 16:59:10 +0100
committerhasufell <hasufell@gentoo.org>2013-03-14 16:59:10 +0100
commit6bdff945586537ea6705e6138296ff849fa48708 (patch)
treed31a252f881deace7af02ba24cb94e9361070577 /app-misc/bashstyle-ng
parentdev-lang/faust: small cleanup, basic toolchain QA, remove old patch (diff)
downloadsunrise-6bdff945586537ea6705e6138296ff849fa48708.tar.gz
sunrise-6bdff945586537ea6705e6138296ff849fa48708.tar.bz2
sunrise-6bdff945586537ea6705e6138296ff849fa48708.zip
app-misc/bashstyle-ng: migrate to python-single-r1, many fixes
Diffstat (limited to 'app-misc/bashstyle-ng')
-rw-r--r--app-misc/bashstyle-ng/ChangeLog8
-rw-r--r--app-misc/bashstyle-ng/Manifest5
-rw-r--r--app-misc/bashstyle-ng/bashstyle-ng-7.12.2.ebuild43
-rw-r--r--app-misc/bashstyle-ng/files/bashstyle-ng-7.10-gconf-update.patch38
4 files changed, 47 insertions, 47 deletions
diff --git a/app-misc/bashstyle-ng/ChangeLog b/app-misc/bashstyle-ng/ChangeLog
index aac0bfc81..fb5b7e605 100644
--- a/app-misc/bashstyle-ng/ChangeLog
+++ b/app-misc/bashstyle-ng/ChangeLog
@@ -2,6 +2,14 @@
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 14 Mar 2013; Julian Ospald <hasufell@gentoo.org>
+ -files/bashstyle-ng-7.10-gconf-update.patch, bashstyle-ng-7.12.2.ebuild:
+ another fixup, also fix help button
+
+ 14 Mar 2013; Julian Ospald <hasufell@gentoo.org>
+ -files/bashstyle-ng-7.10-gconf-update.patch, bashstyle-ng-7.12.2.ebuild:
+ migrate to python-single-r1, fixup gconf stuff, remove old
+
14 Mar 2013; Patrick Lauer <patrick@gentoo.org> bashstyle-ng-7.12.2.ebuild:
[app-misc/bashstyle-ng] Some fixes
diff --git a/app-misc/bashstyle-ng/Manifest b/app-misc/bashstyle-ng/Manifest
index 4c767e366..a94fe08a8 100644
--- a/app-misc/bashstyle-ng/Manifest
+++ b/app-misc/bashstyle-ng/Manifest
@@ -1,5 +1,4 @@
-AUX bashstyle-ng-7.10-gconf-update.patch 2146 SHA256 46bf46589156b8a5caf66c998a1ec551113346019482044bcfe7232db5e8c29f SHA512 26e235caef84dda17d5ea4c41a1689ba20b82cbbf4697caf462f6d3e405631a4d536119847e3a6a0b7d584d923754217489e79e618331a8beaa707e8ff6f9178 WHIRLPOOL 97d744e9235d642d412d84c7aced9aa93f51594f1b742ca6446d1a870876dd20d10579124cb0f810aba47e15273b0902570997a8af8ac3f45a72c9519dcf0efc
DIST bashstyle-ng-7.12.2.tar.bz2 4963324 SHA256 91517b234ca177e3af2de8acebbf8bec5cbbb6b786d8d04508266fbdfac9115a SHA512 5629dbd573098a31244727b60e52f6182627ef4a11f348ea9a4cacac51b051ba481126d43dac1ee7e81ff97d25c253f627dd82a4d2941604940f7a295e302c83 WHIRLPOOL 778aab270b7b6b5af558175e9cb9c0a821ffb0bab21a2c98b59ea2559278d358b63e49816c7bd0580ee5438dde86ee11aa422bd06ef3cc6948597a4976f4b293
-EBUILD bashstyle-ng-7.12.2.ebuild 814 SHA256 6af6f24a4415d782cd9010d5aa292b60fe4dfcd2e81af5e782a5a3429eb1dd2c SHA512 31545b9560acc84fc0f772f9b422f22b3fd64137ee0ab7ce7fd5d5dc7b11f071571fb657919dbecb97a4fd99718792754f08a84ef9dce21b4ccb04f29f822a07 WHIRLPOOL 6e3b966feed0ea5e03a886aa2caaaa220467560df0c6d81e625c947b2ead0e882e8cfa91d6633a890e867c9d5783353976a4eb4b55bd6051d6eff3a4e32218ce
-MISC ChangeLog 939 SHA256 39c6030d13ccfc11ba5eaa5f4a97f5dc3267d3963e9a57536918fd7d15b2853b SHA512 7057ee2abbedc071d4b32c979967843361749ca0cd066f7fe79b64898660da74f6813a32f7267ee9f3faf7cacf748ce3ce1a31094a4ef69be55814c1e060d30e WHIRLPOOL b0f446a7e29819017c9b3a9063e065d47bddeca86f5e2c1f28089dd3ed291f33fef3000102471a80d897afceef663dbd28bf7bd36f73884cc3ea7812187ec7ee
+EBUILD bashstyle-ng-7.12.2.ebuild 1523 SHA256 d6f91012e6daeb05d0e804790c8453d9c2debd80604c388a441f6cd7e73eb5d9 SHA512 06ea2d4767e79f29a10c29afb7f13b327d40d86ed74203b23439dd4bb73759ca9e58c6f257998cefbef55de430d4da4499131a3143df6135260671412370d270 WHIRLPOOL 71af064f977f984c2474596aaa7d4d2ffa6c975da2673eea63e3bf27ef2f5d0adfcac7bca43d392b08894a9c1530d10cd51cbf4c14b12165d57d084c9067c600
+MISC ChangeLog 1292 SHA256 1b4d58e8c7c558ab7b98bda445ad60a96aa56a3226f31e6b5f2240943fef6824 SHA512 6c7d76f12ce5fb66f1a068df05789f77d5950cefd6379942fe6286fad939ba08c907712cd6f9d96019680d694c22cb8f2a7ff1e33a039237daa3b284e42cc307 WHIRLPOOL e91d5940637fe749a4cd7b64e0d712d8b2d9799b50a2f596a2c6e7968368100948a0ab9c2523c8cbd1edbdad76538c091c9a6ae65fc0d678be85c837d7c8284c
MISC metadata.xml 541 SHA256 f66b7203e23b4583442c0bb75bcb67382e1acd6985c9cb2ed72dd4513c3da4fe SHA512 0e587f9434ef2b593dc91c5eb82d1ca82e00c187ded2645d935439a15016e9b4e42ffc655ded281c7da752d97f6b4e651f523a5ef64846efaa559b66816bbea9 WHIRLPOOL 01b547326a2d4bcd1cd74dcc0815e2934b0c0a3bf8c12c653b7b89211cdc3c299e601142cdceb1d741979cf2c4b954a2e3100b6dbb92ec3dc9786ccc76b50ddf
diff --git a/app-misc/bashstyle-ng/bashstyle-ng-7.12.2.ebuild b/app-misc/bashstyle-ng/bashstyle-ng-7.12.2.ebuild
index 43ee6f0be..c9e087018 100644
--- a/app-misc/bashstyle-ng/bashstyle-ng-7.12.2.ebuild
+++ b/app-misc/bashstyle-ng/bashstyle-ng-7.12.2.ebuild
@@ -4,7 +4,8 @@
EAPI="5"
-inherit eutils gnome2
+PYTHON_COMPAT=( python2_6 python2_7 )
+inherit eutils gnome2 python-single-r1
DESCRIPTION="A graphical tool for changing the Bashs behaviour"
HOMEPAGE="http://www.nanolx.org/"
@@ -15,10 +16,13 @@ SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="acpi dmi doc pci pdf usb"
-DEPEND="x11-libs/vte[python]
- sys-devel/gettext
+DEPEND="app-shells/bash
dev-libs/newt
- dev-python/pygtk
+ dev-python/gconf-python:2
+ dev-python/pygtk[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ x11-libs/vte[python]
+ x11-misc/xdg-utils
acpi? ( sys-power/acpi )
dmi? ( sys-apps/dmidecode )
pci? ( sys-apps/pciutils )
@@ -28,9 +32,36 @@ RDEPEND="${DEPEND}"
DOCS="AUTHORS ChangeLog README TODO"
+src_prepare() {
+ gnome2_src_prepare
+
+ # remove hardcoded python
+ sed -i \
+ -e "s#^python#${EPYTHON}#" \
+ data/bashstyle.in || die "fixing python impl failed!"
+
+ # use xdg-open
+ sed -i \
+ -e 's/x-www-browser/xdg-open/' \
+ ui/bs-ng.py || die "fixing help button failed!"
+}
+
+src_configure() {
+ gnome2_src_configure
+
+ # fix schema install destination
+ sed -i \
+ -e 's#GCONFDIR=.*$#GCONFDIR="/etc/gconf/schemas"#' \
+ ./.configure/results || die "fixing schema install dest failed!"
+}
+
src_install() {
if use doc; then
- dohtml documentation/* || die "documentation installation failed"
+ dohtml documentation/*
fi
- gnome2_src_install
+
+ gnome2_src_install DISABLE_POSTINSTALL=1
+
+ python_fix_shebang "${D}"/usr/bin/text2morse \
+ "${D}"/usr/share/bashstyle-ng/ui/{bs-ng,undobuffer}.py
}
diff --git a/app-misc/bashstyle-ng/files/bashstyle-ng-7.10-gconf-update.patch b/app-misc/bashstyle-ng/files/bashstyle-ng-7.10-gconf-update.patch
deleted file mode 100644
index 16f65e48c..000000000
--- a/app-misc/bashstyle-ng/files/bashstyle-ng-7.10-gconf-update.patch
+++ /dev/null
@@ -1,38 +0,0 @@
-diff -uaNr bashstyle-ng-7.10-orig/Makefile.in bashstyle-ng-7.10/Makefile.in
---- bashstyle-ng-7.10-orig/Makefile.in 2010-03-21 20:22:56.000000000 +0100
-+++ bashstyle-ng-7.10/Makefile.in 2010-03-21 20:31:48.000000000 +0100
-@@ -134,20 +134,20 @@
- @install -m644 translations/mo/bs-ng-de.mo $(DESTDIR)/usr/share/locale/de/LC_MESSAGES/bashstyle-ng.mo
- @install -m644 translations/mo/bs-ng-it.mo $(DESTDIR)/usr/share/locale/it/LC_MESSAGES/bashstyle-ng.mo
- @install -m644 translations/mo/bs-ng-ru.mo $(DESTDIR)/usr/share/locale/ru/LC_MESSAGES/bashstyle-ng.mo
-- @if test ! $(GCONF_DISABLE) ; then \
-- echo$(EARGS) "$(MAGENTA)deregistering: $(SMOOTHBLUE)deprecated gconf schemas" ; \
-- GCONF_CONFIG_SOURCE=xml:merged:/etc/gconf/gconf.xml.defaults \
-- gconftool-2 --makefile-uninstall-rule data/deprecated.schemas >/dev/null ; \
-- fi
-- @if test ! $(GCONF_DISABLE) ; then \
-- echo$(EARGS) "$(MAGENTA)registering: $(SMOOTHBLUE)gconf schemas" ; \
-- GCONF_CONFIG_SOURCE=xml:merged:/etc/gconf/gconf.xml.defaults \
-- gconftool-2 --makefile-install-rule data/bashstyle.schemas >/dev/null ; \
-- fi
-- @if test ! $(CACHE_DISABLE) ; then \
-- echo$(EARGS) "$(MAGENTA)updating: $(SMOOTHBLUE)icon cache" ; \
-- gtk-update-icon-cache -f /usr/share/icons/hicolor >/dev/null ; \
-- fi
-+ #@if test ! $(GCONF_DISABLE) ; then \
-+ # echo$(EARGS) "$(MAGENTA)deregistering: $(SMOOTHBLUE)deprecated gconf schemas" ; \
-+ # GCONF_CONFIG_SOURCE=xml:merged:/etc/gconf/gconf.xml.defaults \
-+ # gconftool-2 --makefile-uninstall-rule data/deprecated.schemas >/dev/null ; \
-+ #fi
-+ #@if test ! $(GCONF_DISABLE) ; then \
-+ # echo$(EARGS) "$(MAGENTA)registering: $(SMOOTHBLUE)gconf schemas" ; \
-+ # GCONF_CONFIG_SOURCE=xml:merged:/etc/gconf/gconf.xml.defaults \
-+ # gconftool-2 --makefile-install-rule data/bashstyle.schemas >/dev/null ; \
-+ #fi
-+ #@if test ! $(CACHE_DISABLE) ; then \
-+ # echo$(EARGS) "$(MAGENTA)updating: $(SMOOTHBLUE)icon cache" ; \
-+ # gtk-update-icon-cache -f /usr/share/icons/hicolor >/dev/null ; \
-+ #fi
- @if test ! $(KILL_DISABLE) ; then \
- echo$(EARGS) "$(RED)killing: $(SMOOTHBLUE)gconf daemon" ; \
- killall -qw gconfd-2 >/dev/null || exit 0; \